## genometools 1.4.2

=== Makefile ===
#
# Copyright (c) 2006-2012 Gordon Gremme <gremme@zbh.uni-hamburg.de>
# Copyright (c) 2006-2008 Center for Bioinformatics, University of Hamburg
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

INCLUDEOPT:=-I$(CURDIR)/src -I$(CURDIR)/obj \
            -I$(CURDIR)/src/external/zlib-1.2.3 \
            -I$(CURDIR)/src/external/md5-1.1.2/src \
            -I$(CURDIR)/src/external/lua-5.1.4/src \
            -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
            -I$(CURDIR)/src/external/lpeg-0.10.2 \
            -I$(CURDIR)/src/external/expat-2.0.1/lib \
            -I$(CURDIR)/src/external/bzip2-1.0.6 \
            -I$(CURDIR)/src/external/libtecla-1.6.1 \
            -I$(CURDIR)/src/external/samtools-0.1.18 \
            -I$(CURDIR)/src/external/sqlite-3.7.10

ifneq ($(cairo),no)
  INCLUDEOPT+=$(shell pkg-config --cflags-only-I pango) \
              $(shell pkg-config --cflags-only-I cairo) \
              $(shell pkg-config --cflags-only-I pangocairo) \
              $(shell pkg-config --cflags-only-I glib-2.0)
endif

# these variables are exported by the configuration script
ifndef CC
  CC:=gcc
endif
ifndef CXX
  CXX:=g++
endif
EXP_CFLAGS:=$(CFLAGS)
EXP_LDFLAGS:=$(LDFLAGS)
EXP_CXXFLAGS:=$(CXXFLAGS)
EXP_CPPFLAGS:=$(CPPFLAGS)
EXP_LDLIBS:=$(LIBS) -lm
# ...while those starting with GT_ are for internal purposes only
GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe -fPIC -Wpointer-arith
# expat needs -DHAVE_MEMMOVE
# lua needs -DLUA_USE_POSIX
# tecla needs -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
EXT_FLAGS:= -DHAVE_MEMMOVE -DLUA_USE_POSIX -DLUA_DL_DLOPEN \
            -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
EXP_CPPFLAGS+=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(EXT_FLAGS)
GT_CPPFLAGS:=$(INCLUDEOPT)
GT_CXXFLAGS:=-g -pipe
GT_LDFLAGS:=-Llib
STEST_FLAGS:=
EXP_LDFLAGS+=$(foreach dir, \
	$(shell test -d /usr/local/lib && echo /usr/local/lib ; \
	        test -d /usr/X11R6/lib && echo /usr/X11R6/lib ; \
                test -d /opt/local/lib && echo /opt/local/lib),-L$(dir))
BUILDSTAMP:=$(shell date +'"%Y-%m-%d %H:%M:%S"')

# try to set RANLIB automatically
SYSTEM:=$(shell uname -s)
MACHINE:=$(shell uname -m)
ifeq ($(SYSTEM),Darwin)
  RANLIB:=ranlib
  NO_STATIC_LINKING:=defined
  SHARED:=-dynamiclib -undefined dynamic_lookup
  SHARED_OBJ_NAME_EXT:=.dylib
  ifeq ($(universal),yes)
    MACHINE:="Universal_Binary"
    GT_CFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
  endif
  ifeq ($(ppc),yes)
    MACHINE:="Power_Macintosh"
    GT_CFLAGS+=-arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch ppc -arch_errors_fatal
  endif
else
  SHARED_OBJ_NAME_EXT:=.so
  SHARED:=-shared
endif

# compiled executables
GTMAIN_SRC:=src/gt.c src/gtr.c src/gtt.c src/interactive.c
GTMAIN_OBJ:=$(GTMAIN_SRC:%.c=obj/%.o)
GTMAIN_DEP:=$(GTMAIN_SRC:%.c=obj/%.d)

EXAMPLES_SRC:=src/example.c
EXAMPLES_DEP:=$(EXAMPLES_SRC:%.c=obj/%.d)

SKPROTO_SRC:=src/skproto.c src/tools/gt_skproto.c
SKPROTO_OBJ:=$(SKPROTO_SRC:%.c=obj/%.o)
SKPROTO_DEP:=$(SKPROTO_SRC:%.c=obj/%.d)

TOOLS_SRC:=$(wildcard src/tools/*.c)
TOOLS_OBJ:=$(TOOLS_SRC:%.c=obj/%.o)
TOOLS_DEP:=$(TOOLS_SRC:%.c=obj/%.d)

EXPAT_DIR:=src/external/expat-2.0.1/lib
LIBEXPAT_SRC:=$(EXPAT_DIR)/xmlparse.c $(EXPAT_DIR)/xmlrole.c \
              $(EXPAT_DIR)/xmltok.c
LIBEXPAT_OBJ:=$(LIBEXPAT_SRC:%.c=obj/%.o)
LIBEXPAT_DEP:=$(LIBEXPAT_SRC:%.c=obj/%.d)

LIBLUA_SRC=src/lualib.c\
           src/external/md5-1.1.2/src/md5.c\
           src/external/md5-1.1.2/src/md5lib.c\
           src/external/md5-1.1.2/src/des56.c\
           src/external/md5-1.1.2/src/ldes56.c\
           src/external/luafilesystem-1.5.0/src/lfs.c\
           src/external/lpeg-0.10.2/lpeg.c
LIBLUA_OBJ:=$(LIBLUA_SRC:%.c=obj/%.o)
LIBLUA_DEP:=$(LIBLUA_SRC:%.c=obj/%.d)

LUAMAIN_SRC:=src/external/lua-5.1.4/etc/all.c
LUAMAIN_OBJ:=$(LUAMAIN_SRC:%.c=obj/%.o)
LUAMAIN_DEP:=$(LUAMAIN_SRC:%.c=obj/%.d)

TECLA_DIR:=src/external/libtecla-1.6.1
LIBTECLA_SRC:=$(TECLA_DIR)/chrqueue.c $(TECLA_DIR)/cplfile.c \
              $(TECLA_DIR)/cplmatch.c $(TECLA_DIR)/direader.c \
              $(TECLA_DIR)/errmsg.c $(TECLA_DIR)/expand.c \
              $(TECLA_DIR)/freelist.c $(TECLA_DIR)/getline.c \
              $(TECLA_DIR)/hash.c $(TECLA_DIR)/history.c \
              $(TECLA_DIR)/homedir.c $(TECLA_DIR)/ioutil.c \
              $(TECLA_DIR)/keytab.c $(TECLA_DIR)/pathutil.c \
              $(TECLA_DIR)/pcache.c $(TECLA_DIR)/stringrp.c \
              $(TECLA_DIR)/strngmem.c $(TECLA_DIR)/version.c
LIBTECLA_OBJ:=$(LIBTECLA_SRC:%.c=obj/%.o)
LIBTECLA_DEP:=$(LIBTECLA_SRC:%.c=obj/%.d)

BZ2_DIR:=src/external/bzip2-1.0.6
LIBBZ2_SRC:=$(BZ2_DIR)/blocksort.c $(BZ2_DIR)/huffman.c $(BZ2_DIR)/crctable.c \
            $(BZ2_DIR)/randtable.c $(BZ2_DIR)/compress.c \
            $(BZ2_DIR)/decompress.c $(BZ2_DIR)/bzlib.c
LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)

SQLITE3_DIR:=src/external/sqlite-3.7.10
SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)

HMMER_BASE:=src/external/hmmer-3.0
HMMER_DIR:=$(HMMER_BASE)/src
HMMER_SRC:=$(HMMER_DIR)/emit.c $(HMMER_DIR)/build.c \
           $(HMMER_DIR)/errors.c $(HMMER_DIR)/evalues.c \
           $(HMMER_DIR)/eweight.c \
           $(HMMER_DIR)/generic_decoding.c $(HMMER_DIR)/modelconfig.c \
           $(HMMER_DIR)/generic_fwdback.c $(HMMER_DIR)/modelstats.c \
           $(HMMER_DIR)/generic_msv.c $(HMMER_DIR)/mpisupport.c \
           $(HMMER_DIR)/generic_null2.c $(HMMER_DIR)/p7_alidisplay.c \
           $(HMMER_DIR)/generic_optacc.c $(HMMER_DIR)/p7_bg.c \
           $(HMMER_DIR)/generic_stotrace.c $(HMMER_DIR)/p7_builder.c \
           $(HMMER_DIR)/generic_viterbi.c $(HMMER_DIR)/p7_domaindef.c \
           $(HMMER_DIR)/generic_vtrace.c $(HMMER_DIR)/p7_gmx.c \
           $(HMMER_DIR)/h2_io.c $(HMMER_DIR)/p7_hmm.c \
           $(HMMER_DIR)/heatmap.c $(HMMER_DIR)/p7_hmmfile.c \
           $(HMMER_DIR)/p7_pipeline.c $(HMMER_DIR)/p7_prior.c \
           $(HMMER_DIR)/p7_profile.c $(HMMER_DIR)/p7_spensemble.c \
           $(HMMER_DIR)/hmmer.c $(HMMER_DIR)/p7_tophits.c \
           $(HMMER_DIR)/p7_trace.c $(HMMER_DIR)/phmmer.c \
           $(HMMER_DIR)/seqmodel.c $(HMMER_DIR)/tracealign.c \
           $(HMMER_DIR)/logsum.c $(HMMER_DIR)/impl/decoding.c \
           $(HMMER_DIR)/impl/optacc.c \
           $(HMMER_DIR)/impl/fwdback.c $(HMMER_DIR)/impl/p7_omx.c \
           $(HMMER_DIR)/impl/io.c $(HMMER_DIR)/impl/p7_oprofile.c \
           $(HMMER_DIR)/impl/mpi.c $(HMMER_DIR)/impl/stotrace.c \
           $(HMMER_DIR)/impl/msvfilter.c $(HMMER_DIR)/impl/vitfilter.c \
           $(HMMER_DIR)/impl/null2.c
HMMER_OBJ:=$(HMMER_SRC:%.c=%.o)

EASEL_DIR:=$(HMMER_BASE)/easel
EASEL_SRC:=$(EASEL_DIR)/easel.c $(EASEL_DIR)/esl_randomseq.c \
           $(EASEL_DIR)/esl_alphabet.c $(EASEL_DIR)/esl_ratematrix.c \
           $(EASEL_DIR)/esl_cluster.c $(EASEL_DIR)/esl_regexp.c \
           $(EASEL_DIR)/esl_dirichlet.c $(EASEL_DIR)/esl_rootfinder.c \
           $(EASEL_DIR)/esl_distance.c $(EASEL_DIR)/esl_scorematrix.c \
           $(EASEL_DIR)/esl_dmatrix.c $(EASEL_DIR)/esl_sq.c \
           $(EASEL_DIR)/esl_exponential.c $(EASEL_DIR)/esl_sqio_ascii.c \
           $(EASEL_DIR)/esl_fileparser.c $(EASEL_DIR)/esl_sqio.c \
           $(EASEL_DIR)/esl_gamma.c $(EASEL_DIR)/esl_sqio_ncbi.c \
           $(EASEL_DIR)/esl_getopts.c $(EASEL_DIR)/esl_sse.c \
           $(EASEL_DIR)/esl_gev.c $(EASEL_DIR)/esl_ssi.c \
           $(EASEL_DIR)/esl_gumbel.c $(EASEL_DIR)/esl_stack.c \
           $(EASEL_DIR)/esl_histogram.c $(EASEL_DIR)/esl_stats.c \
           $(EASEL_DIR)/esl_hmm.c $(EASEL_DIR)/esl_stopwatch.c \
           $(EASEL_DIR)/esl_hyperexp.c $(EASEL_DIR)/esl_stretchexp.c \
           $(EASEL_DIR)/esl_keyhash.c \
           $(EASEL_DIR)/esl_minimizer.c $(EASEL_DIR)/esl_threads.c \
           $(EASEL_DIR)/esl_mixgev.c $(EASEL_DIR)/esl_tree.c \
           $(EASEL_DIR)/esl_mpi.c $(EASEL_DIR)/esl_vectorops.c \
           $(EASEL_DIR)/esl_msa.c $(EASEL_DIR)/esl_vmx.c \
           $(EASEL_DIR)/esl_msacluster.c $(EASEL_DIR)/esl_weibull.c \
           $(EASEL_DIR)/esl_msashuffle.c $(EASEL_DIR)/esl_workqueue.c \
           $(EASEL_DIR)/esl_msaweight.c $(EASEL_DIR)/esl_wuss.c \
           $(EASEL_DIR)/esl_normal.c $(EASEL_DIR)/esl_paml.c \
           $(EASEL_DIR)/esl_random.c
EASEL_OBJ:=$(EASEL_SRC:%.c=%.o)

ZLIB_DIR:=src/external/zlib-1.2.3
ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
          $(ZLIB_DIR)/gzio.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
          $(ZLIB_DIR)/trees.c $(ZLIB_DIR)/zutil.c $(ZLIB_DIR)/inflate.c \
          $(ZLIB_DIR)/infback.c $(ZLIB_DIR)/inftrees.c $(ZLIB_DIR)/inffast.c
ZLIB_OBJ:=$(ZLIB_SRC:%.c=obj/%.o)
ZLIB_DEP:=$(ZLIB_SRC:%.c=obj/%.d)

SAMTOOLS_DIR:=src/external/samtools-0.1.18
SAMTOOLS_SRC:=$(SAMTOOLS_DIR)/bgzf.c \
              $(SAMTOOLS_DIR)/kstring.c \
              $(SAMTOOLS_DIR)/bam_aux.c \
              $(SAMTOOLS_DIR)/bam.c \
              $(SAMTOOLS_DIR)/bam_import.c \
              $(SAMTOOLS_DIR)/sam.c \
              $(SAMTOOLS_DIR)/bam_index.c \
              $(SAMTOOLS_DIR)/bam_pileup.c \
              $(SAMTOOLS_DIR)/bam_lpileup.c \
              $(SAMTOOLS_DIR)/bam_md.c \
              $(SAMTOOLS_DIR)/razf.c \
              $(SAMTOOLS_DIR)/faidx.c \
              $(SAMTOOLS_DIR)/bedidx.c \
              $(SAMTOOLS_DIR)/knetfile.c \
              $(SAMTOOLS_DIR)/bam_sort.c \
              $(SAMTOOLS_DIR)/sam_header.c \
              $(SAMTOOLS_DIR)/bam_reheader.c \
              $(SAMTOOLS_DIR)/kprobaln.c \
              $(SAMTOOLS_DIR)/bam_cat.c
SAMTOOLS_OBJ:=$(SAMTOOLS_SRC:%.c=obj/%.o)
SAMTOOLS_DEP:=$(SAMTOOLS_SRC:%.c=obj/%.d)

# add necessary shared lib dependencies then not building them ourselves
ifeq ($(useshared),yes)
  DEPLIBS:=-lbz2 -lz -lexpat -llua5.1-lpeg -llua5.1 -llua5.1-md5 \
           -llua5.1-filesystem -llua5.1-des56 -lbam
else
  DEPLIBS:=
endif
EXP_LDLIBS += $(DEPLIBS)
GTSHAREDLIB_LIBDEP += $(DEPLIBS)

SERVER=gordon@genometools.org
WWWBASEDIR=/var/www/servers

# process arguments
ifeq ($(assert),no)
  EXP_CPPFLAGS += -DNDEBUG
endif

ifeq ($(cov),yes)
  export CCACHE_DISABLE # ccache cannot handle coverage objects
  GT_CFLAGS += -fprofile-arcs -ftest-coverage
  GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  STEST_FLAGS += -gcov
  opt=no
  # hacks to link shared libs with cov=yes
  ifeq ($(SYSTEM),Linux)
    GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  endif
  ifeq ($(MACHINE),amd64)
    GT_LDFLAGS += -fPIC
  endif
endif

ifneq ($(opt),no)
  ifeq ($(findstring clang,$(CC)),clang)
    ifeq ($(lto),yes)
      # clang/LLVM supports link-time optimization with -O4
      # Note that on Linux this usually requires additional configuration of
      # LLVM! Consult http://llvm.org/docs/GoldPlugin.html if problems arise.
      GT_CFLAGS += -O4
      GT_CXXFLAGS += -O4
    else
      GT_CFLAGS += -O3
      GT_CXXFLAGS += -O3
    endif
  else
    GT_CFLAGS += -O3
    GT_CXXFLAGS += -O3
  endif
endif

ifeq ($(prof),yes)
  GT_CFLAGS += -pg
  GT_LDFLAGS += -pg
endif

ifeq ($(curl),yes)
  EXP_CPPFLAGS += -DCURLDEF
  GT_CPPFLAGS += -I/usr/include/curl -I/usr/local/include/curl
  EXP_LDLIBS += -lcurl
endif

ifneq ($(curses),no)
  EXP_CPPFLAGS += -DCURSES
  EXP_LDLIBS += -lncurses
  GTLIBS := lib/libtecla.a
endif

ifdef testthreads

=== doc/manuals/Makefile ===
ALL=readjoiner.pdf\
		hop.pdf\
    ltrharvest.pdf\
    ltrdigest.pdf\
    uniquesub.pdf\
    matstat.pdf\
    mgth.pdf\
    packedindex.pdf\
    repfind.pdf\
    tallymer.pdf\
    tagerator.pdf\
		genomediff.pdf

TALLYMERTMP=tallymer-tmp
TAGERATORTMP=tagerator-tmp
TESTDATA=../../testdata

all:${ALL}

annotationsketch: annotationsketch.pdf

%.pdf:%.tex %-pdf.bbl
	-test -e $*-pdf.aux && mv $*-pdf.aux $*.aux
	-test -e $*-pdf.bbl && mv $*-pdf.bbl $*.bbl
	pdflatex $<
	pdflatex $<
	mv $*.aux $*-pdf.aux
	-test -e $*.bbl && mv $*.bbl $*-pdf.bbl

.PRECIOUS: %-pdf.bbl %-dvi.bbl %-dvi.aux %-pdf.aux
%-pdf.bbl: gtmanuals.bib %-pdf.aux
	-test -e $*-pdf.aux && mv $*-pdf.aux $*.aux
	-bibtex $*
	test -e $@ || touch $@
	-diff $@ $*.bbl || mv $*.bbl $@ && rm -f $*.bbl
	mv $*.aux $*-pdf.aux

%-pdf.aux: %.tex
	-test -e $@ && mv $@ $*.aux
	pdflatex $< && rm $*.pdf
	mv $*.aux $@

read1.fna:${TESTDATA}/at1MB
	head -n 6999 $< > $@

read2.fna:${TESTDATA}/at1MB
	echo ">" > $@
	tail -n 6945 $< >> $@

U89959.fna:${TESTDATA}/U89959_genomic.fas
	cp $< $@

${TALLYMERTMP}.tex:tallymer.tex read1.fna read2.fna U89959.fna
	./findemptyoutfiles.sh
	./execcommand.pl $< > $@

tallymer.pdf:${TALLYMERTMP}.tex
	pdflatex ${TALLYMERTMP}
	pdflatex ${TALLYMERTMP}
	mv ${TALLYMERTMP}.pdf $@

tallymer.dvi:${TALLYMERTMP}.tex
	latex ${TALLYMERTMP}
	latex ${TALLYMERTMP}
	mv ${TALLYMERTMP}.dvi $@

${TAGERATORTMP}.tex:tagerator.tex pck-human.prj Q1.gz
	./findemptyoutfiles.sh
	./execcommand.pl $< > $@

pck-human.prj:${TESTDATA}/at1MB
	../../bin/gt packedindex mkindex -dna -dir rev -parts 12 -bsize 10 \
                      -sprank -locfreq 32 -tis -ssp -indexname pck-human\
                      -db ${TESTDATA}/at1MB

Q1.gz:${TESTDATA}/Q1.gz
	cp $< $@

tagerator.pdf:${TAGERATORTMP}.tex
	pdflatex ${TAGERATORTMP}
	pdflatex ${TAGERATORTMP}
	mv ${TAGERATORTMP}.pdf $@

tagerator.dvi:${TAGERATORTMP}.tex
	latex ${TAGERATORTMP}
	latex ${TAGERATORTMP}
	mv ${TAGERATORTMP}.dvi $@

#%.pdf:%.tex
	#pdflatex $<
	#pdflatex $<

#%.dvi:%.tex
	#latex $<
	#latex $<

clean:
	${RM} *.aux  *.log *.bbl  *.blg *.dvi *.mer *.mct *.mbd comment.cut
	${RM} U89959.fna read[12].fna 
	${RM} reads.al1 reads.esq reads.lcp reads.llv reads.prj reads.suf
	${RM} ${TALLYMERTMP}.tex
	${RM} ${TAGERATORTMP}.tex Q1.gz pck-human.*

cleanup:clean
	${RM} ${ALL}

=== debian/changelog ===
genometools (1.4.2-4) unstable; urgency=low

  * Remove shlibs.local file 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 12:24:17 +0200

genometools (1.4.2-3) unstable; urgency=low

  * Build with pbuilder to obtain reasonable libc dependency (>= 2.13)

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 10:04:34 +0200

genometools (1.4.2-2) unstable; urgency=low

  * Fixed libpango-dev dependency
  * Updated manpages

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 08 Oct 2012 07:51:52 +0200

genometools (1.4.2-1) unstable; urgency=low

  * New upstream release
  [ Sponsor Steffen Moeller ]
  * Update of policy to 3.9.4
  * Added DMUA flag

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Fri, 05 Oct 2012 15:47:56 +0200

genometools (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #657923)
  * the GFF3 parser now handles children which are defined before their parents
  * many small improvements to the GFF3 parser

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 09 Jul 2012 14:10:23 +0100

=== debian/control ===
Source: genometools
Section: science
Priority: extra
Maintainer: Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
Build-Depends: debhelper (>= 9),
 liblua5.1-0-dev, liblua5.1-md5-dev, liblua5.1-filesystem-dev,
 liblua5.1-lpeg-dev, libcairo2-dev, zlib1g-dev, libbz2-dev, libexpat1-dev,
 libncurses5-dev, libsqlite3-dev, libbam-dev, libpango1.0-dev
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://genometools.org
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/genometools/trunk/

Package: genometools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends}, liblua5.1-md5-0|liblua5.1-0,
 liblua5.1-lpeg2|liblua5.1-0, liblua5.1-filesystem0|liblua5.1-0, liblua5.1-0,
 libcairo2, zlib1g, libbz2-1.0, libexpat1, libpth20, libncurses5, libsqlite3-0,
 libpango1.0-0
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface, and a collection of useful tools for
 bioinformatics, combined into a single binary.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgenometools0 (= ${binary:Version})
Section: libdevel
Description: development files for GenomeTools
 This package contains the GenomeTools static libraries and necessary
 header files.

Package: genometools-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools.

Package: genometools-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 genometools (= ${binary:Version})|libgenometools0 (= ${binary:Version})
Section: debug
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) cleanup

override_dh_auto_build:
	dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) opt=no errorcheck=no

override_dh_auto_test:
	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	dh_auto_install -- useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr

override_dh_strip:
	dh_strip --dbg-package=genometools-dbg

override_dh_installdocs:
	dh_installdocs --exclude=license.template --exclude=lgpl.txt

## genometools 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
-# Copyright (c) 2006-2012 Gordon Gremme <gremme@zbh.uni-hamburg.de>
+# Copyright (c) 2006-2013 Gordon Gremme <gremme@zbh.uni-hamburg.de>
+# Copyright (c) 2008-2013 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
 # Copyright (c) 2006-2008 Center for Bioinformatics, University of Hamburg
 #
 # Permission to use, copy, modify, and distribute this software for any
@@ -16,9 +17,9 @@
 #
 
 INCLUDEOPT:=-I$(CURDIR)/src -I$(CURDIR)/obj \
-            -I$(CURDIR)/src/external/zlib-1.2.3 \
+            -I$(CURDIR)/src/external/zlib-1.2.7 \
             -I$(CURDIR)/src/external/md5-1.1.2/src \
-            -I$(CURDIR)/src/external/lua-5.1.4/src \
+            -I$(CURDIR)/src/external/lua-5.1.5/src \
             -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
             -I$(CURDIR)/src/external/lpeg-0.10.2 \
             -I$(CURDIR)/src/external/expat-2.0.1/lib \
@@ -27,11 +28,19 @@
             -I$(CURDIR)/src/external/samtools-0.1.18 \
             -I$(CURDIR)/src/external/sqlite-3.7.10
 
+ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
+  HAS_PKGCONFIG:=yes
+else
+  HAS_PKGCONFIG:=no
+endif
+
 ifneq ($(cairo),no)
-  INCLUDEOPT+=$(shell pkg-config --cflags-only-I pango) \
-              $(shell pkg-config --cflags-only-I cairo) \
-              $(shell pkg-config --cflags-only-I pangocairo) \
-              $(shell pkg-config --cflags-only-I glib-2.0)
+  ifeq ($(HAS_PKGCONFIG),yes)
+	INCLUDEOPT+=$(shell pkg-config --cflags-only-I pango) \
+	            $(shell pkg-config --cflags-only-I cairo) \
+	            $(shell pkg-config --cflags-only-I pangocairo) \
+	            $(shell pkg-config --cflags-only-I glib-2.0)
+  endif
 endif
 
 # these variables are exported by the configuration script
@@ -51,8 +60,10 @@
 # expat needs -DHAVE_MEMMOVE
 # lua needs -DLUA_USE_POSIX
 # tecla needs -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
+# zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXT_FLAGS:= -DHAVE_MEMMOVE -DLUA_USE_POSIX -DLUA_DL_DLOPEN \
-            -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
+            -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO \
+            -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXP_CPPFLAGS+=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(EXT_FLAGS)
 GT_CPPFLAGS:=$(INCLUDEOPT)
 GT_CXXFLAGS:=-g -pipe
@@ -119,7 +130,7 @@
 LIBLUA_OBJ:=$(LIBLUA_SRC:%.c=obj/%.o)
 LIBLUA_DEP:=$(LIBLUA_SRC:%.c=obj/%.d)
 
-LUAMAIN_SRC:=src/external/lua-5.1.4/etc/all.c
+LUAMAIN_SRC:=src/external/lua-5.1.5/etc/all.c
 LUAMAIN_OBJ:=$(LUAMAIN_SRC:%.c=obj/%.o)
 LUAMAIN_DEP:=$(LUAMAIN_SRC:%.c=obj/%.d)
 
@@ -205,9 +216,10 @@
            $(EASEL_DIR)/esl_random.c
 EASEL_OBJ:=$(EASEL_SRC:%.c=%.o)
 
-ZLIB_DIR:=src/external/zlib-1.2.3
+ZLIB_DIR:=src/external/zlib-1.2.7
 ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
-          $(ZLIB_DIR)/gzio.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
+          $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
+          $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
           $(ZLIB_DIR)/trees.c $(ZLIB_DIR)/zutil.c $(ZLIB_DIR)/inflate.c \
           $(ZLIB_DIR)/infback.c $(ZLIB_DIR)/inftrees.c $(ZLIB_DIR)/inffast.c
 ZLIB_OBJ:=$(ZLIB_SRC:%.c=obj/%.o)
@@ -246,7 +258,7 @@
 EXP_LDLIBS += $(DEPLIBS)
 GTSHAREDLIB_LIBDEP += $(DEPLIBS)
 
-SERVER=gordon@genometools.org
+SERVER=satta@genometools.org
 WWWBASEDIR=/var/www/servers
 
 # process arguments
@@ -279,29 +291,3 @@
       GT_CXXFLAGS += -O4
     else
       GT_CFLAGS += -O3
-      GT_CXXFLAGS += -O3
-    endif
-  else
-    GT_CFLAGS += -O3
-    GT_CXXFLAGS += -O3
-  endif
-endif
-
-ifeq ($(prof),yes)
-  GT_CFLAGS += -pg
-  GT_LDFLAGS += -pg
-endif
-
-ifeq ($(curl),yes)
-  EXP_CPPFLAGS += -DCURLDEF
-  GT_CPPFLAGS += -I/usr/include/curl -I/usr/local/include/curl
-  EXP_LDLIBS += -lcurl
-endif
-
-ifneq ($(curses),no)
-  EXP_CPPFLAGS += -DCURSES
-  EXP_LDLIBS += -lncurses
-  GTLIBS := lib/libtecla.a
-endif
-
-ifdef testthreads

=== doc/manuals/Makefile ===
--- 
+++ 
@@ -96,6 +96,7 @@
 
 clean:
 	${RM} *.aux  *.log *.bbl  *.blg *.dvi *.mer *.mct *.mbd comment.cut
+	${RM} *.out *.toc
 	${RM} U89959.fna read[12].fna 
 	${RM} reads.al1 reads.esq reads.lcp reads.llv reads.prj reads.suf
 	${RM} ${TALLYMERTMP}.tex

=== src/external/cgilua-5.1.3/Makefile ===
# $Id: Makefile,v 1.49 2008/02/19 19:41:24 mascarenhas Exp $

# Default prefix
PREFIX= /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

CGILUA_DIR= $(LUA_DIR)/cgilua
CGILUA_LUAS= src/cgilua/authentication.lua src/cgilua/cookies.lua src/cgilua/dispatcher.lua src/cgilua/loader.lua src/cgilua/lp.lua src/cgilua/mime.lua src/cgilua/post.lua src/cgilua/readuntil.lua src/cgilua/serialize.lua src/cgilua/session.lua src/cgilua/urlcode.lua
ROOT_LUAS= src/cgilua/cgilua.lua

all:

install:
	mkdir -p $(CGILUA_DIR)
	cp $(CGILUA_LUAS) $(CGILUA_DIR)
	cp $(ROOT_LUAS) $(LUA_DIR)

clean:

=== src/external/luafilesystem-1.5.0/Makefile ===
# $Id: Makefile,v 1.36 2009/09/21 17:02:44 mascarenhas Exp $

T= lfs

CONFIG= ./config

include $(CONFIG)

SRCS= src/$T.c
OBJS= src/$T.o

lib: src/lfs.so

src/lfs.so: $(OBJS)
	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/lfs.so $(OBJS)

install:
	mkdir -p $(LUA_LIBDIR)
	cp src/lfs.so $(LUA_LIBDIR)

clean:
	rm -f src/lfs.so $(OBJS)

=== src/external/samtools-0.1.18/Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -fPIC #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -D_CURSES_LIB=1
KNETFILE_O=	knetfile.o
LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
			bam_pileup.o bam_lpileup.o bam_md.o razf.o faidx.o bedidx.o \
			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o bam_cat.o
AOBJS=		bam_tview.o bam_plcmd.o sam_view.o	\
			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o \
			cut_target.o phase.o bam2depth.o
PROG=		samtools
INCLUDES=	-I.
SUBDIRS=	. bcftools misc
LIBPATH=
LIBCURSES=	-lncurses # -lXCurses

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

.PHONY:all lib clean cleanlocal
.PHONY:all-recur lib-recur clean-recur cleanlocal-recur install-recur

lib:libbam.a

libbam.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

samtools:lib-recur $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -Lbcftools $(LIBPATH) libbam.a -lbcf $(LIBCURSES) -lm -lz

razip:razip.o razf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ razf.o razip.o $(KNETFILE_O) -lz

bgzip:bgzip.o bgzf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ bgzf.o bgzip.o $(KNETFILE_O) -lz

razip.o:razf.h
bam.o:bam.h razf.h bam_endian.h kstring.h sam_header.h
sam.o:sam.h bam.h
bam_import.o:bam.h kseq.h khash.h razf.h
bam_pileup.o:bam.h razf.h ksort.h
bam_plcmd.o:bam.h faidx.h bcftools/bcf.h bam2bcf.h
bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
bam_lpileup.o:bam.h ksort.h
bam_tview.o:bam.h faidx.h
bam_sort.o:bam.h ksort.h razf.h
bam_md.o:bam.h faidx.h
sam_header.o:sam_header.h khash.h
bcf.o:bcftools/bcf.h
bam2bcf.o:bam2bcf.h errmod.h bcftools/bcf.h
bam2bcf_indel.o:bam2bcf.h
errmod.o:errmod.h
phase.o:bam.h khash.h ksort.h
bamtk.o:bam.h

faidx.o:faidx.h razf.h khash.h
faidx_main.o:faidx.h razf.h


libbam.1.dylib-local:$(LOBJS)
		libtool -dynamic $(LOBJS) -o libbam.1.dylib -lc -lz

libbam.so.1-local:$(LOBJS)
		$(CC) -shared -Wl,-soname,libbam.so -o libbam.so.1 $(LOBJS) -lc -lz

dylib:
		@$(MAKE) cleanlocal; \
		case `uname` in \
			Linux) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.so.1-local;; \
			Darwin) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.1.dylib-local;; \
			*) echo 'Unknown OS';; \
		esac


cleanlocal:
		rm -fr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib

clean:cleanlocal-recur

=== src/external/samtools-0.1.18/misc/Makefile ===
CC=			gcc
CXX=		g++
CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
CXXFLAGS=	$(CFLAGS)
DFLAGS=		-D_FILE_OFFSET_BITS=64
OBJS=		
PROG=		md5sum-lite md5fa maq2sam-short maq2sam-long wgsim seqtk
INCLUDES=	-I..
SUBDIRS=	.

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

lib-recur all-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" $$target || exit 1; \
			cd $$wdir; \
		done;

lib:

seqtk:seqtk.o
		$(CC) $(CFLAGS) -o $@ seqtk.o -lm -lz

wgsim:wgsim.o
		$(CC) $(CFLAGS) -o $@ wgsim.o -lm -lz

md5fa:md5.o md5fa.o md5.h ../kseq.h
		$(CC) $(CFLAGS) -o $@ md5.o md5fa.o -lz

md5sum-lite:md5sum-lite.o
		$(CC) $(CFLAGS) -o $@ md5sum-lite.o

md5sum-lite.o:md5.c md5.h
		$(CC) -c $(CFLAGS) -DMD5SUM_MAIN -o $@ md5.c

maq2sam-short:maq2sam.c
		$(CC) $(CFLAGS) -o $@ maq2sam.c -lz

maq2sam-long:maq2sam.c
		$(CC) $(CFLAGS) -DMAQ_LONGREADS -o $@ maq2sam.c -lz

md5fa.o:md5.h md5fa.c
		$(CC) $(CFLAGS) -c -I.. -o $@ md5fa.c

seqtk.o:seqtk.c ../khash.h ../kseq.h
		$(CC) $(CFLAGS) -c -I.. -o $@ seqtk.c

wgsim.o:wgsim.c ../kseq.h
		$(CC) $(CFLAGS) -c -I.. -o $@ wgsim.c

cleanlocal:
		rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a

clean:cleanlocal-recur

=== debian/changelog ===
genometools (1.5.1-2ubuntu1) trusty; urgency=low

  * Build with correct machine flags on arm64, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 22 Mar 2014 13:30:31 -0400

genometools (1.5.1-2) unstable; urgency=low

  * debian/control
     - Add myself to Uploaders
     - cme fix dpkg-control
     - Follow liblua package name transition
       Closes: #728017
     - Remove depends from virtual package python-ctypes which is provided
       by python
  * provide symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 28 Oct 2013 08:17:04 +0100

genometools (1.5.1-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 07 Mar 2013 14:08:05 +0100

genometools (1.5.0-2) unstable; urgency=low

  * Patch manuals not to use includecomment/excludecomment

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 16 Feb 2013 16:58:11 +0100

genometools (1.5.0-1) unstable; urgency=low

  * New upstream release
  * bugfixes and cleanups
  * development tool `gt sain' added to run an induced suffix array sorting 
    algorithm
  * the -typecheck option in the `gt gff3` and `gt gff3validator` tools 
    now also validates parent (part-of) relationships, see -help output for 
    details
  * new option -encseq besides -seqfile(s) and -regionmapping to select a
    encseq index as a sequence source
  * GtBioseq backend switched to GtEncseq
  * GtSeqCol is now an interface, GtEncseqCol added
  * GtRankedList added
  * GtSNPAnnotatorStream and `gt snpper' tool added
  * node sorting code is now aware of MD5 hash presence
  * compatibility with old Pango versions inproved

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 05 Feb 2013 18:52:22 +0100

=== debian/control ===
Source: genometools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               liblua5.1-0-dev,
               lua-md5-dev,
               lua-filesystem-dev,
               lua-lpeg-dev,
               libcairo2-dev,
               zlib1g-dev,
               libbz2-dev,
               libexpat1-dev,
               libncurses5-dev,
               libsqlite3-dev,
               libbam-dev,
               libpango1.0-dev,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-extra,
               latex-xcolor,
               texlive-fonts-recommended,
               python
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
Homepage: http://genometools.org

Package: genometools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends},
         liblua5.1-0,
         libcairo2,
         zlib1g,
         libbz2-1.0,
         libexpat1,
         libpth20,
         libncurses5,
         libsqlite3-0,
         libpango1.0-0
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0 (= ${binary:Version})
Description: development files for GenomeTools
 This package contains the GenomeTools static library and necessary
 header files.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: genometools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools. The GenomeTools toolkit contains binaries for sequence and
 annotation handling, sequence compression, index structure generation and
 access, annotation visualization, and much more.

Package: genometools-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: python-genometools
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-ctypes,
         libgenometools0
Description: Python bindings for genometools
 Partial Python2 bindings for the GenomeTools library. Besides basic
 bioinformatics data structures, the library contains components for sequence
 and annotation handling, sequence compression, index structure generation and
 access, efficient matching, annotation visualization and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export DH_ALWAYS_EXCLUDE=.gitignore

BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@ --parallel --with python2

override_dh_auto_clean:
	$(MAKE) cleanup
	cd doc/manuals; make cleanup
	# should be deleted inside doc/manuals/Makefile
	rm -f doc/manuals/annotationsketch.out \
	      doc/manuals/api_reference.tex    \
	      doc/manuals/gtscript_reference.tex
	find doc . -name "*.toc" -delete
	rm -f www/genometools.org/htdocs/images/callbacks.png \
	      www/genometools.org/htdocs/images/parsed.png    \
	      www/genometools.org/htdocs/images/constructed.png \
	      doc/manuals/annotationsketch.pdf
	rm -f www/genometools.org/htdocs/docs.html \
	      www/genometools.org/htdocs/examples.html \
	      www/genometools.org/htdocs/libgenometools.html
	rm -rf gtpython/build

override_dh_auto_build:
	dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) opt=no errorcheck=no docs manuals

override_dh_auto_test:
	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	dh_auto_install -- useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
	dh_auto_install --sourcedirectory=gtpython --destdir=$(CURDIR)/debian/python-genometools

override_dh_strip:
	dh_strip --dbg-package=genometools-dbg

=== debian/watch ===
version=3
http://genometools.org/pub/genometools-([0-9.]+)\.tar\.gz
